import { z } from 'zod';
export declare const updateGlobalFilterSchema: z.ZodObject<{
    active: z.ZodDefault<z.ZodBoolean>;
    tagsIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    tagsIds: string[];
}, {
    tagsIds: string[];
    active?: boolean | undefined;
}>;
declare const UpdateGlobalFilterDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    active: z.ZodDefault<z.ZodBoolean>;
    tagsIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    tagsIds: string[];
}, {
    tagsIds: string[];
    active?: boolean | undefined;
}>>;
export declare class UpdateGlobalFilterDto extends UpdateGlobalFilterDto_base {
}
export declare const updateGlobalFilterResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    globalFilter: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const UpdateGlobalFilterResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    globalFilter: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN";
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class UpdateGlobalFilterResponseDto extends UpdateGlobalFilterResponseDto_base {
}
export {};
