import z from 'zod';
export declare const loginSchema: z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>;
declare const LoginDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>>;
export declare class LoginDto extends LoginDto_base {
}
export declare const loginResponseSchema: z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        role: z.ZodNativeEnum<{
            USER: "USER";
            ADMIN: "ADMIN";
        }>;
        isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        isGlobalFilterActive: boolean;
        fcmToken: string[];
        created_at: Date;
        updated_at: Date;
    }, {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        created_at: Date;
        updated_at: Date;
        isGlobalFilterActive?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        isGlobalFilterActive: boolean;
        fcmToken: string[];
        created_at: Date;
        updated_at: Date;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        created_at: Date;
        updated_at: Date;
        isGlobalFilterActive?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>;
declare const LoginResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        role: z.ZodNativeEnum<{
            USER: "USER";
            ADMIN: "ADMIN";
        }>;
        isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        isGlobalFilterActive: boolean;
        fcmToken: string[];
        created_at: Date;
        updated_at: Date;
    }, {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        created_at: Date;
        updated_at: Date;
        isGlobalFilterActive?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        isGlobalFilterActive: boolean;
        fcmToken: string[];
        created_at: Date;
        updated_at: Date;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        username: string;
        role: "USER" | "ADMIN";
        created_at: Date;
        updated_at: Date;
        isGlobalFilterActive?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>>;
export declare class LoginResponseDto extends LoginResponseDto_base {
}
export {};
