import { z } from 'zod';
declare const eventSchemaBase: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodString;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    eventoPadreId: z.ZodOptional<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string;
    tagAssistedId: string;
    tagConfirmedId: string;
    eventoPadreId?: string | undefined;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string;
    tagAssistedId: string;
    tagConfirmedId: string;
    eventoPadreId?: string | undefined;
}>;
type Event = z.infer<typeof eventSchemaBase> & {
    supraEvent: z.infer<typeof eventSchemaBase>;
    subEvents: Array<z.infer<typeof eventSchemaBase>>;
};
export declare const eventSchema: z.ZodType<Event>;
export {};
