"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventSchema = void 0;
const tag_dto_1 = require("../../tag/dto/tag.dto");
const translate_1 = require("../../i18n/translate");
const zod_1 = require("zod");
const event_folder_dto_1 = require("../../event-folder/dto/event-folder.dto");
const eventSchemaBase = zod_1.z.object({
    id: zod_1.z.string().uuid({ message: (0, translate_1.translate)('model.event.id.uuid') }),
    name: zod_1.z.string().min(1, (0, translate_1.translate)('model.event.name.required')),
    date: zod_1.z
        .string({
        required_error: (0, translate_1.translate)('model.event.date.required'),
    })
        .date((0, translate_1.translate)('model.event.date.invalid')),
    location: zod_1.z.string().min(1, (0, translate_1.translate)('model.event.location.required')),
    folderId: event_folder_dto_1.eventFolderSchema.shape.id,
    tagAssistedId: tag_dto_1.tagSchema.shape.id,
    tagConfirmedId: tag_dto_1.tagSchema.shape.id,
    eventoPadreId: zod_1.z
        .string()
        .uuid({
        message: (0, translate_1.translate)('model.event.id.uuid'),
    })
        .optional(),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
exports.eventSchema = eventSchemaBase.extend({
    supraEvent: zod_1.z.lazy(() => exports.eventSchema),
    subEvents: zod_1.z.array(zod_1.z.lazy(() => eventSchemaBase)),
});
//# sourceMappingURL=event.dto.js.map