declare const _default: {
    readonly prisma: {
        readonly model: {
            readonly account: "Cuenta";
            readonly tag: "Etiqueta";
            readonly tagGroup: "Grupo de etiquetas";
            readonly event: "Evento";
            readonly eventFolder: "Carpeta de eventos";
            readonly comment: "Comentario";
            readonly profile: "Perfil";
            readonly location: "Ubicación";
            readonly cannedResponse: "Respuesta enlatada";
            readonly message: "Mensaje";
        };
        readonly conflict: "Ya existe un registro con el campo {{field}} '{{value}}' en la tabla de {{model}}";
        readonly 'not-found': "No se encontró un registro con el campo {{field}} '{{value}}' en la tabla de {{model}}";
    };
    readonly model: {
        readonly comment: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly content: {
                readonly min: "El contenido debe tener al menos 1 caracter";
            };
        };
        readonly account: {
            readonly id: {
                readonly required: "El ID es requerido";
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly username: {
                readonly required: "El nombre de usuario es requerido";
            };
            readonly email: {
                readonly required: "El email es requerido";
                readonly email: "El email debe ser un email válido";
            };
            readonly password: {
                readonly required: "La contraseña es requerida";
                readonly min: "La contraseña debe tener al menos 6 caracteres";
            };
            readonly role: {
                readonly required: "El rol es requerido";
                readonly invalid: "El rol es inválido";
            };
        };
        readonly tag: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
                readonly min: "El nombre debe tener al menos 1 caracter";
            };
            readonly type: {
                readonly invalid: "El tipo de etiqueta es inválido";
            };
        };
        readonly event: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
            };
            readonly date: {
                readonly required: "La fecha es requerida";
                readonly invalid: "La fecha debe ser una fecha válida";
            };
            readonly location: {
                readonly required: "La ubicación es requerida";
            };
        };
        readonly tagGroup: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
            };
            readonly color: {
                readonly invalid: "El color debe tener el formato hexadecimal (#ABCDEF)";
            };
        };
        readonly eventFolder: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly color: {
                readonly invalid: "El color debe tener el formato hexadecimal (#ABCDEF)";
            };
        };
    };
    readonly route: {
        readonly auth: {
            readonly 'invalid-credentials': "Credenciales inválidas";
            readonly 'no-token': "No se encontró un token";
            readonly 'invalid-token': "Token inválido";
            readonly 'user-not-found': "Usuario no encontrado";
        };
        readonly account: {
            readonly create: {
                readonly success: "Cuenta creada con éxito";
                readonly conflict: "Cuenta ya existente";
            };
            readonly 'global-filter-patch': {
                readonly success: "Filtro base actualizado";
                readonly conflict: "Etiquetas Inválidas";
            };
            readonly 'global-filter-get': {
                readonly success: "Filtro base obtenido";
                readonly 'not-found': "Cuenta no encontrada";
            };
            readonly me: {
                readonly success: "Cuenta obtenida";
            };
        };
        readonly tag: {
            readonly create: {
                readonly success: "Etiqueta creada con éxito";
            };
            readonly 'find-all': {
                readonly success: "Etiquetas obtenidas";
            };
            readonly 'find-one': {
                readonly success: "Etiqueta obtenida";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly update: {
                readonly success: "Etiqueta actualizada";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly delete: {
                readonly success: "Etiqueta eliminada";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly 'find-by-group': {
                readonly success: "Etiquetas obtenidas";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly 'find-all-grouped': {
                readonly success: "Etiquetas obtenidas";
            };
        };
        readonly 'tag-group': {
            readonly create: {
                readonly success: "Grupo de etiquetas creado con éxito";
            };
            readonly 'find-all': {
                readonly success: "Grupos de etiquetas obtenidos";
            };
            readonly 'find-one': {
                readonly success: "Grupo de etiquetas obtenido";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly update: {
                readonly success: "Grupo de etiquetas actualizado";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly delete: {
                readonly success: "Grupo de etiquetas eliminado";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
        };
    };
};
export default _default;
