export interface paths {
    "/auth/login": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_loginUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/auth/refresh": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_refreshToken"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/all-grouped": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findAllGrouped"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/find-by-group/{groupId}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findByGroup"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagController_remove"];
        options?: never;
        head?: never;
        patch: operations["TagController_update"];
        trace?: never;
    };
    "/account/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AccountController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/account/global-filter": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getGlobalFilter"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["AccountController_updateGlobalFilter"];
        trace?: never;
    };
    "/account/me": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["AccountController_getMe"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["TagGroupController_create"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/all": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findAll"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/tag-group/{id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["TagGroupController_findById"];
        put?: never;
        post?: never;
        delete: operations["TagGroupController_delete"];
        options?: never;
        head?: never;
        patch: operations["TagGroupController_update"];
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        LoginDto: {
            username: string;
            password: string;
        };
        LoginResponseDto: {
            user: {
                id?: string;
                username?: string;
                role?: "USER" | "ADMIN";
                isGlobalFilterActive: boolean;
                fcmToken: string[];
                created_at?: string;
                updated_at?: string;
            };
            backendTokens: {
                accessToken?: string;
                refreshToken?: string;
            };
        };
        CreateTagDto: {
            name: string;
            groupId: string;
        };
        CreateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        };
        FindAllTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindAllGroupedTagResponseDto: {
            groups: {
                id: string;
                name: string;
                isExclusive: boolean;
                color: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                    _count: {
                        profiles: number;
                    };
                }[];
                _count: {
                    tags: number;
                };
            }[];
        };
        FindByGroupTagResponseDto: {
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
                group: {
                    id: string;
                    name: string;
                    color: string;
                    isExclusive: boolean;
                    created_at: string;
                    updated_at: string;
                };
            }[];
        };
        FindOneTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
            group: {
                id?: string;
                name?: string;
                color?: string;
                isExclusive?: boolean;
                created_at?: string;
                updated_at?: string;
            };
        };
        UpdateTagDto: {
            name: string;
            groupId: string;
        };
        UpdateTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        DeleteTagResponseDto: {
            id: string;
            name: string;
            groupId: string;
            type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
            created_at: string;
            updated_at: string;
        };
        CreateAccountDto: {
            username: string;
            password: string;
            role: "USER" | "ADMIN";
        };
        CreateAccountResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
        };
        UpdateGlobalFilterDto: {
            active: boolean;
            tagsIds: string[];
        };
        UpdateGlobalFilterResponseDto: {
            id: string;
            username: string;
            password: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        GetGlobalFilterResponseDto: {
            isGlobalFilterActive: boolean;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
        };
        GetMeResponseDto: {
            id: string;
            username: string;
            role: "USER" | "ADMIN";
            isGlobalFilterActive: boolean;
            fcmToken: string[];
            created_at: string;
            updated_at: string;
            globalFilter: {
                id: string;
                name: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                group: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        CreateTagGroupDto: {
            color: string;
            name: string;
            isExclusive: boolean;
        };
        CreateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        FindAllTagGroupResponseDto: {
            tagGroups: {
                id: string;
                name: string;
                color: string;
                isExclusive: boolean;
                created_at: string;
                updated_at: string;
                tags: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                    created_at: string;
                    updated_at: string;
                }[];
            }[];
        };
        FindOneTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
            tags: {
                id: string;
                name: string;
                groupId: string;
                type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
                created_at: string;
                updated_at: string;
            }[];
        };
        UpdateTagGroupDto: {
            name: string;
            color: string;
            isExclusive: boolean;
        };
        UpdateTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
        DeleteTagGroupResponseDto: {
            id: string;
            name: string;
            color: string;
            isExclusive: boolean;
            created_at: string;
            updated_at: string;
        };
    };
    responses: never;
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    AuthController_loginUser: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["LoginDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["LoginResponseDto"];
                };
            };
        };
    };
    AuthController_refreshToken: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    TagController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagResponseDto"];
                };
            };
        };
    };
    TagController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagResponseDto"];
                };
            };
        };
    };
    TagController_findAllGrouped: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllGroupedTagResponseDto"];
                };
            };
        };
    };
    TagController_findByGroup: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                groupId: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindByGroupTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    TagController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    TagController_remove: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
            410: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagResponseDto"];
                };
            };
        };
    };
    TagController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    AccountController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateAccountDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateAccountResponseDto"];
                };
            };
        };
    };
    AccountController_getGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_updateGlobalFilter: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateGlobalFilterDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateGlobalFilterResponseDto"];
                };
            };
        };
    };
    AccountController_getMe: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetMeResponseDto"];
                };
            };
        };
    };
    TagGroupController_create: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateTagGroupDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findAll: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindAllTagGroupResponseDto"];
                };
            };
        };
    };
    TagGroupController_findById: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["FindOneTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    TagGroupController_delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["DeleteTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    TagGroupController_update: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateTagGroupDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateTagGroupResponseDto"];
                };
            };
            404: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
}
